package selenium;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class PageObject {
    public WebDriver driver;
    WebElement lnkSignIn;
    WebElement signInModal;
    String email = "vkrijegccvsknuvnpv@miucce.com";
    String password = "12345678";
    String firstName = "Nisum";
    String lastName = "TestAcct";
    String phoneNumber = "3141592635";

    public PageObject(WebDriver driver){
        this.driver = driver;
    }

    public WebElement getLnkSignIn() {
        return driver.findElement(By.linkText("Sign In / Up"));
    }

    public WebElement getSignInModal() {
        return driver.findElement(By.id("sign-in-modal-link"));
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public String getEmail() {
        return email;
    }

    public String getPassword() {
        return password;
    }

    public String getFirstName() {
        return firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void navigateToUrl(String url){
        driver.get(url);
    }


}
